<?php
class QCore_ConstantsOptimized
{
    function initConstants()
    {
        define('PRODUCT_AFFILIATE', 'affiliate');
        
        define('DEFAULT_ACCOUNT', 'default1');
        define('DEFAULT_USER_PROFILE', 'default1');
        
        define('AFFSTATUS_NOTAPPROVED', 1);
        define('AFFSTATUS_APPROVED',    2);
        define('AFFSTATUS_SUPPRESSED',  3);
        
/*        define('WD_MAX_PROCESSED_IDS', 50);
        
        define('APPROVE_MANUAL',    1);
        define('APPROVE_AUTOMATIC', 2);
        
        define('WLOG_NOTHING',   0);
        define('WLOG_DBERROR',   1);
        define('WLOG_ERROR',     2);
        define('WLOG_ACTIONS',   4);
        define('WLOG_DEBUG',     8);*/
        
        #define('STATUS_ENABLED',     '0');
        #define('STATUS_DISABLED',    '1');
        
        define('USERTYPE_SUPERADMIN',   1);
        define('USERTYPE_ACCOUNT',      2);
        define('USERTYPE_ADMIN',        3);
        define('USERTYPE_USER',         4);
        
/*        define('SETTINGTYPE_GLOBAL',       1);
        define('SETTINGTYPE_SUPERADMIN',   2);
        define('SETTINGTYPE_ACCOUNT',      3);
        define('SETTINGTYPE_ADMIN',        4);
        define('SETTINGTYPE_USER',         5);
        define('SETTINGTYPE_AFF_CAMP',     6);
        
        define('SETTINGTYPEPREFIX_GLOBAL',       'Glob_');
        define('SETTINGTYPEPREFIX_SUPERADMIN',   'SupA_');
        define('SETTINGTYPEPREFIX_ACCOUNT',      'Aff_');
        define('SETTINGTYPEPREFIX_ADMIN',        'Admn_');
        define('SETTINGTYPEPREFIX_USER',         'User_');
        define('SETTINGTYPEPREFIX_AFF_CAMP',     'Aff_camp_');
        define('SETTINGTYPEPREFIX_LISTVIEW',     'List_view_');

        define('MESSAGETYPE_EMAIL',   1);
        define('MESSAGETYPE_NEWS',    2);
        
        define('MESSAGESTATUS_NOT_READED',  1);
        define('MESSAGESTATUS_SHOW',        2);
        define('MESSAGESTATUS_NOT_SHOW',    3);

        define('EMAILBY_MAIL',    1);
        define('EMAILBY_SMTP',    2);*/
    }
}
?>
